Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1404515 - ceph-ansible should set set apt pinning for deb packages
Summary: ceph-ansible should set set apt pinning for deb packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-ansible
Version: 3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2
Assignee: leseb
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 01:24 UTC by Ken Dreyer (Red Hat)
Modified: 2018-04-16 22:46 UTC (History)
9 users (show)

Fixed In Version: ceph-ansible-2.1.1-1.el7scon
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-03-14 15:52:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1565850 None CLOSED [ubuntu] rhcs packages do not override ubuntu.com packages 2019-03-27 17:23:31 UTC
Red Hat Product Errata RHSA-2017:0515 normal SHIPPED_LIVE Important: ansible and ceph-ansible security, bug fix, and enhancement update 2017-04-18 21:12:31 UTC

Internal Links: 1565850

Description Ken Dreyer (Red Hat) 2016-12-14 01:24:21 UTC
Description of problem:
When installing Ceph on Ubuntu with ceph-ansible, we are trusting that our package versions in Red Hat Ceph Storage will always be newer than the packages in Ubuntu itself.

The implication here is that if the Ubuntu maintainer ever ships a newer package than what we ship, then Ubuntu's package will override ours.

With ceph-deploy and ice-setup, we used to use apt pinning to make Ubuntu nodes prefer Red Hat's packages. We need ceph-ansible to do the same.

Version-Release number of selected component (if applicable):
all versions of ceph-ansible prior to 2.1

How reproducible:
always

Steps to Reproduce:
1. Use ceph-ansible to set up a cluster
2. Look in /etc/apt/preferences.d on each cluster node

Actual results:
No Red Hat pref file exists

Expected results:
An rhcs.pref file exists, and "ceph --version" prints something with "redhat" in it.

Comment 2 Ken Dreyer (Red Hat) 2016-12-14 01:24:46 UTC
reported upstream @ https://github.com/ceph/ceph-ansible/issues/1182

Comment 3 seb 2016-12-14 17:17:48 UTC
upstream PR: https://github.com/ceph/ceph-ansible/pull/1186

Comment 5 Tejas 2017-02-07 03:46:16 UTC
Verified on build:
ceph-ansible-2.1.6-1.el7scon.noarch

Tested 2 cases where the RHEL packages are ahead of ubuntu packages and lagging behind the ubuntu packges.
No issues seen.

Comment 7 errata-xmlrpc 2017-03-14 15:52:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0515


Note You need to log in before you can comment on or make changes to this bug.